<?php
class searchbox_widget extends WP_Widget {
	
	function __construct() {
			$widget_ops = array( 'classname' => 'search-form obox-search-widget', 'description' => 'Display a specially styled Search field (1/2 width)' );
			parent::__construct( 'search', '(Obox) Search Box', $widget_ops );
    	}
	/** @see WP_Widget::widget */
	function widget($args, $instance) {		
        extract( $args ); 
?>
	 <?php echo $before_widget; ?>
		<form action="<?php bloginfo("url"); ?>" method="get">
			<input type="text" name="s" id="s" class="search" maxlength="50" value="" placeholder="<?php _e("Enter Text Here", "ocmx"); ?>" />
			<input type="submit" class="search_button" value="<?php _e("Search", "ocmx"); ?>" />
		</form>
	<?php echo $after_widget; ?>
<?php
	}

	/** @see WP_Widget::update */
	function update($new_instance, $old_instance) {
		return $new_instance;

			
	} // form

}// class

//This sample widget can then be registered in the widgets_init hook:

// register FooWidget widget
add_action('widgets_init', create_function('', 'return register_widget("searchbox_widget");'));

?>